PUBLIC-INBOX.CGI(1)

NAME
public-inbox.cgi - CGI wrapper for PublicInbox::WWW

SYNOPSIS
You generally want to run public-inbox-httpd, instead

DESCRIPTION
public-inbox.cgi provides a CGI interface wrapper on top of the PSGI/Plack PublicInbox::WWW module. It is only provided for compatibility reasons and NOT recommended.

CGI with Perl is slow due to code loading overhead and web servers lack the scheduling fairness of public-inbox-httpd(1) for handling git clones and streaming large mbox downloads.

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright 2019-2021 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
public-inbox-httpd(1), PublicInbox::WWW, public-inbox-daemon(8),